name: Build and Push Image
on: [ push ]

jobs:
  build:
    name: Build and push image
    runs-on: ubuntu-latest
    container: catthehacker/ubuntu:act-latest
    if: gitea.ref == 'refs/heads/master'

    steps:
    - name: Checkout
      uses: actions/checkout@v4

    - name: Create Kubeconfig
      run: |
        mkdir $HOME/.kube
        echo "${{ secrets.KUBEC_CONFIG_BUILDX }}" > $HOME/.kube/config        

    - name: Set up Docker Buildx
      uses: docker/setup-buildx-action@v3
      with:
        driver: kubernetes
        driver-opts: |
          namespace=gitea-runner
          qemu.install=true          

    - name: Login to Docker Registry
      uses: docker/login-action@v3
      with:
        registry: git.aridgwayweb.com
        username: armistace
        password: ${{ secrets.REG_PASSWORD }}

    - name: Build and push
      uses: docker/build-push-action@v5
      with:
        context: .
        push: true
        platforms: linux/amd64,linux/arm64
        tags: |
          git.aridgwayweb.com/armistace/blog:latest    
